#ifndef __TRANSPORTCLINET_H__
#define  __TRANSPORTCLINET_H__

#include "transport.h"


class TrAsyncSocketClient;
class ICESocket;


class ICESocket : public TrICESocket{

public:
	ICESocket();
	~ICESocket();

	virtual void OnReceivePacketData(const char *data, int len);
	virtual void OnSessionState(TrSessionState state);
	virtual void OnCandidatesReady(TrCandidate *candidates, int count);
};



class TrAsyncSocketClient : public TrAsyncSocket {
public:
	TrAsyncSocketClient(int socket_type);
	~TrAsyncSocketClient();

	virtual void OnSignalEvent(State s);
	virtual void OnRead(char * data, int len);
};


#endif
